com.orsoncharts.style

## Interface ChartStyle

- All Known Implementing Classes:
    StandardChartStyle

      public interface ChartStyle

  A chart style provides styling attributes for a chart. To apply a style to a chart, use the `Chart3D.setStyle(com.orsoncharts.style.ChartStyle)` method. See the `ChartStyles` class for predefined styles.
  Since:
    1.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChangeListener(ChartStyleChangeListener listener)` Registers a listener to receive notification of changes to the chart style.
    `ChartStyle` | `clone()` Returns a clone of the chart style.
    `java.awt.Color` | `getAxisLabelColor()` Returns the foreground color for axis labels.
    `java.awt.Font` | `getAxisLabelFont()` Returns the axis label font.
    `java.awt.Color` | `getAxisTickLabelColor()` Returns the color used to draw the tick labels on the axis.
    `java.awt.Font` | `getAxisTickLabelFont()` Returns the axis tick label font.
    `RectanglePainter` | `getBackgroundPainter()` Returns the painter that fills the background for the chart.
    `java.awt.Color` | `getChartBoxColor()` Returns the color for the chart box, if any.
    `boolean` | `getColumnAxisGridlinesVisible()` Returns the flag that controls whether or not gridlines are drawn perpendicular to the column axis in category plots.
    `java.awt.Color` | `getGridlineColor()` Returns the color used to draw the gridlines.
    `java.awt.Stroke` | `getGridlineStroke()` Returns the stroke used to draw the gridlines.
    `java.awt.Color` | `getLegendFooterBackgroundColor()` Returns the color used for the background of legend footer text (if any).
    `java.awt.Color` | `getLegendFooterColor()` Returns the color used for the legend footer text (if any).
    `java.awt.Font` | `getLegendFooterFont()` Returns the legend footer font.
    `java.awt.Color` | `getLegendHeaderBackgroundColor()` Returns the background color for the legend header if there is one.
    `java.awt.Color` | `getLegendHeaderColor()` Returns the foreground color for the legend header if there is one.
    `java.awt.Font` | `getLegendHeaderFont()` Returns the legend header font.
    `java.awt.Color` | `getLegendItemBackgroundColor()` Returns the background color for legend items.
    `java.awt.Color` | `getLegendItemColor()` Returns the foreground color for legend items.
    `java.awt.Font` | `getLegendItemFont()` Returns the legend item font.
    `java.awt.Shape` | `getLegendItemShape()` Returns the standard shape for legend items.
    `java.awt.Color` | `getMarkerFillColor()` Returns the color used to fill the band representing the marker range.
    `java.awt.Color` | `getMarkerLabelColor()` Returns the color for the marker labels.
    `java.awt.Font` | `getMarkerLabelFont()` Returns the font used to draw marker labels.
    `java.awt.Color` | `getMarkerLineColor()` Returns the color used to draw marker lines.
    `java.awt.Stroke` | `getMarkerLineStroke()` Returns the stroke used to draw marker lines.
    `boolean` | `getRowAxisGridlinesVisible()` Returns the flag that controls whether or not gridlines are drawn perpendicular to the row axis in category plots.
    `java.awt.Color` | `getSectionLabelColor()` Returns the foreground color used for pie section labels.
    `java.awt.Font` | `getSectionLabelFont()` Returns the font used for pie section labels.
    `java.awt.Color[]` | `getStandardColors()` Returns the standard colors for the style.
    `java.awt.Color` | `getSubtitleBackgroundColor()` Returns the background color for the chart subtitle.
    `java.awt.Color` | `getSubtitleColor()` Returns the foreground color for the chart subtitle.
    `java.awt.Font` | `getSubtitleFont()` Returns the subtitle font.
    `java.awt.Color` | `getTitleBackgroundColor()` Returns the background color for the chart title.
    `java.awt.Color` | `getTitleColor()` Returns the foreground color for the chart title.
    `java.awt.Font` | `getTitleFont()` Returns the title font.
    `boolean` | `getXAxisGridlinesVisible()` Returns the flag that controls whether or not gridlines are drawn perpendicular to the x-axis (or column axis).
    `boolean` | `getYAxisGridlinesVisible()` Returns the flag that controls whether or not gridlines are drawn perpendicular to the y-axis (or value axis).
    `boolean` | `getZAxisGridlinesVisible()` Returns the flag that controls whether or not gridlines are drawn perpendicular to the z-axis (or row axis).
    `void` | `removeChangeListener(ChartStyleChangeListener listener)` Deregisters a listener so that it no longer receives notification of chart changes.

- - ### Method Detail

    - #### getBackgroundPainter

          RectanglePainter getBackgroundPainter()

      Returns the painter that fills the background for the chart.
      Returns:
        The painter (never `null`).

    - #### getTitleFont

          java.awt.Font getTitleFont()

      Returns the title font.
      Returns:
        The title font (never `null`).

    - #### getTitleColor

          java.awt.Color getTitleColor()

      Returns the foreground color for the chart title.
      Returns:
        The foreground color (never `null`).

    - #### getTitleBackgroundColor

          java.awt.Color getTitleBackgroundColor()

      Returns the background color for the chart title.
      Returns:
        The background color for the chart title (never `null`).

    - #### getSubtitleFont

          java.awt.Font getSubtitleFont()

      Returns the subtitle font.
      Returns:
        The subtitle font (never `null`).

    - #### getSubtitleColor

          java.awt.Color getSubtitleColor()

      Returns the foreground color for the chart subtitle.
      Returns:
        The foreground color (never `null`).

    - #### getSubtitleBackgroundColor

          java.awt.Color getSubtitleBackgroundColor()

      Returns the background color for the chart subtitle.
      Returns:
        The background color (never `null`).

    - #### getChartBoxColor

          java.awt.Color getChartBoxColor()

      Returns the color for the chart box, if any.
      Returns:
        The color for the chart box (never `null`).

    - #### getColumnAxisGridlinesVisible

          boolean getColumnAxisGridlinesVisible()

      Returns the flag that controls whether or not gridlines are drawn perpendicular to the column axis in category plots.
      Returns:
        A boolean.

    - #### getRowAxisGridlinesVisible

          boolean getRowAxisGridlinesVisible()

      Returns the flag that controls whether or not gridlines are drawn perpendicular to the row axis in category plots.
      Returns:
        A boolean.

    - #### getXAxisGridlinesVisible

          boolean getXAxisGridlinesVisible()

      Returns the flag that controls whether or not gridlines are drawn perpendicular to the x-axis (or column axis).
      Returns:
        A boolean.

    - #### getYAxisGridlinesVisible

          boolean getYAxisGridlinesVisible()

      Returns the flag that controls whether or not gridlines are drawn perpendicular to the y-axis (or value axis).
      Returns:
        A boolean.

    - #### getZAxisGridlinesVisible

          boolean getZAxisGridlinesVisible()

      Returns the flag that controls whether or not gridlines are drawn perpendicular to the z-axis (or row axis).
      Returns:
        A boolean.

    - #### getGridlineColor

          java.awt.Color getGridlineColor()

      Returns the color used to draw the gridlines.
      Returns:
        The color (never `null`).

    - #### getGridlineStroke

          java.awt.Stroke getGridlineStroke()

      Returns the stroke used to draw the gridlines.
      Returns:
        The stroke (never `null`).

    - #### getSectionLabelFont

          java.awt.Font getSectionLabelFont()

      Returns the font used for pie section labels.
      Returns:
        The pie section label font (never `null`).

    - #### getSectionLabelColor

          java.awt.Color getSectionLabelColor()

      Returns the foreground color used for pie section labels.
      Returns:
        The pie section label color (never `null`).

    - #### getStandardColors

          java.awt.Color[] getStandardColors()

      Returns the standard colors for the style.
      Returns:
        The standard colors (never `null`).

    - #### getAxisLabelFont

          java.awt.Font getAxisLabelFont()

      Returns the axis label font. The axis label is usually a description of what the axis represents.
      Returns:
        The axis label font (never `null`).
      See Also:
        `getAxisTickLabelFont()`

    - #### getAxisLabelColor

          java.awt.Color getAxisLabelColor()

      Returns the foreground color for axis labels.
      Returns:
        The foreground color (never `null`).

    - #### getAxisTickLabelFont

          java.awt.Font getAxisTickLabelFont()

      Returns the axis tick label font.
      Returns:
        The axis tick label font (never `null`).
      See Also:
        `getAxisLabelFont()`

    - #### getAxisTickLabelColor

          java.awt.Color getAxisTickLabelColor()

      Returns the color used to draw the tick labels on the axis.
      Returns:
        The color (never `null`).

    - #### getLegendHeaderFont

          java.awt.Font getLegendHeaderFont()

      Returns the legend header font.
      Returns:
        The legend header font (never `null`).

    - #### getLegendHeaderColor

          java.awt.Color getLegendHeaderColor()

      Returns the foreground color for the legend header if there is one.
      Returns:
        The color (never `null`).

    - #### getLegendHeaderBackgroundColor

          java.awt.Color getLegendHeaderBackgroundColor()

      Returns the background color for the legend header if there is one.
      Returns:
        The color (never `null`).

    - #### getLegendItemShape

          java.awt.Shape getLegendItemShape()

      Returns the standard shape for legend items.
      Returns:
        The legend shape (never `null`).

    - #### getLegendItemFont

          java.awt.Font getLegendItemFont()

      Returns the legend item font.
      Returns:
        The legend item font (never `null`).

    - #### getLegendItemColor

          java.awt.Color getLegendItemColor()

      Returns the foreground color for legend items.
      Returns:
        The foreground color (never `null`).

    - #### getLegendItemBackgroundColor

          java.awt.Color getLegendItemBackgroundColor()

      Returns the background color for legend items.
      Returns:
        The background color (never `null`).

    - #### getLegendFooterFont

          java.awt.Font getLegendFooterFont()

      Returns the legend footer font.
      Returns:
        The legend footer font (never `null`).

    - #### getLegendFooterColor

          java.awt.Color getLegendFooterColor()

      Returns the color used for the legend footer text (if any).
      Returns:
        The color (never `null`).

    - #### getLegendFooterBackgroundColor

          java.awt.Color getLegendFooterBackgroundColor()

      Returns the color used for the background of legend footer text (if any).
      Returns:
        The color (never `null`).

    - #### getMarkerLabelFont

          java.awt.Font getMarkerLabelFont()

      Returns the font used to draw marker labels.
      Returns:
        The font used to draw marker labels (never `null`).

    - #### getMarkerLabelColor

          java.awt.Color getMarkerLabelColor()

      Returns the color for the marker labels.
      Returns:
        The color for the marker labels (never `null`).

    - #### getMarkerLineStroke

          java.awt.Stroke getMarkerLineStroke()

      Returns the stroke used to draw marker lines.
      Returns:
        The stroke used to draw marker lines (never `null`).

    - #### getMarkerLineColor

          java.awt.Color getMarkerLineColor()

      Returns the color used to draw marker lines.
      Returns:
        The color used to draw marker lines (never `null`).

    - #### getMarkerFillColor

          java.awt.Color getMarkerFillColor()

      Returns the color used to fill the band representing the marker range.
      Returns:
        The fill color (never `null`).

    - #### clone

          ChartStyle clone()

      Returns a clone of the chart style.
      Returns:
        A clone (never `null`).

    - #### addChangeListener

          void addChangeListener(ChartStyleChangeListener listener)

      Registers a listener to receive notification of changes to the chart style. Typically the chart registers with its style, and applies the style changes when it receives notification of any change.
      Parameters:
        `listener` - the listener (`null` not permitted).

    - #### removeChangeListener

          void removeChangeListener(ChartStyleChangeListener listener)

      Deregisters a listener so that it no longer receives notification of chart changes.
      Parameters:
        `listener` - the listener (`null` not permitted).